This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810409 - Function keys for lcd brightness and wireless does not work on HP Folio 13 laptop
Function keys for lcd brightness and wireless does not work on HP Folio 13 la...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
first=3.3.1 hotkeys
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 18:31 EDT by Alexander Lindqvist
Modified: 2014-10-08 04:02 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 13:08:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Dmesg (58.49 KB, text/x-log)
2012-04-05 18:31 EDT, Alexander Lindqvist
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 43097 None None None Never

  None (edit)
Description Alexander Lindqvist 2012-04-05 18:31:04 EDT
Created attachment 575568 [details]
Dmesg

Description of problem:
FN+F2+F3 keys for changing LCD brightness does not work.
FN+F12 (enable/disable Intel Centrino 1030 Wireless/bluetooth combo card) does not work.
Switching "actions keys mode" to disable in BIOS (so that you have to use the fn key + other key as usual) does not help.

xev reports nothing when pressing these keys. Other actions keys like for the led backlit keyboard works)

Version-Release number of selected component (if applicable):
3.3.1-3.fc17.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Unable to enable wireless (hardware disabled)
Unable to ajust lcd brightness via action keys

Expected results:
Adjusting LCD brightness via fn+f2/f3 keys should work.
Enable/disable wireless should work.

Additional info:
Comment 1 Alexander Lindqvist 2012-04-06 13:55:27 EDT
acpi_listen does not output anything on these keys.
Comment 2 Alexander Lindqvist 2012-06-28 03:08:45 EDT
After additional trial and error I've got wireless to work.
hp-wmi kernel module needs to load at boot for this to work but it is somehow blocking the wireless after boot. 

After boot simply remove the hp-wmi module:
rmmod hp-wmi

Wireless immediately picks up wireless networks and you can connect and use it.

Blacklisting hp-wmi kernel module does not work.

This trick does not work in RHEL 6.2. ( Older hp-wmi module? )

(Wireless button still doesn't work but atleast you can use wireless this way.)
Comment 3 Alexander Lindqvist 2012-08-13 14:09:26 EDT
This trick does not work in RHEL 6.3 so there is currently no way to enable the Intel wireless 1030 card. If this gets fixed for Fedora could you please backport this to RHEL6.
Comment 4 Paul Collins 2012-10-13 03:39:47 EDT
I can confirm that the rmmod workaround does at least get the wireless going. hp-wmi must need some kind of keymap update?
Comment 5 Karel Volný 2013-01-31 11:46:04 EST
I believe this one corresponds to https://bugzilla.kernel.org/show_bug.cgi?id=43097
Comment 6 Josh Boyer 2013-03-14 14:10:46 EDT
Are you still having issues with 3.8.2 in updates-testing?
Comment 7 Karel Volný 2013-03-22 09:09:20 EDT
(In reply to comment #6)
> Are you still having issues with 3.8.2 in updates-testing?

I'm not sure why I've CCed myself on this bug :-) but just FYI, my results with recent version:

$ uname -a
Linux kvolny.usersys.redhat.com 3.8.2-206.fc18.x86_64 #1 SMP Fri Mar 8 15:03:34 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

after switching to text mode, the function keys do not work

but that's Lenovo T510 => not cleaning NEEDINFO, can some HP Folio owner test this?
Comment 8 JYundt 2013-03-25 08:35:40 EDT
> can some HP Folio owner test this?

Not working on HP Folio 13 / Fedora 17 i686:

yundtj@etg9q6cm ~]$ uname -a
Linux etg9q6cm 3.8.3-103.fc17.i686.PAE #1 SMP Mon Mar 18 15:52:06 UTC 2013 i686 i686 i386 GNU/Linux
[yundtj@etg9q6cm ~]$ cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-3.8.3-103.fc17.i686.PAE root=/dev/mapper/vg_etg9q6cm-lv_root ro rd.lvm.lv=vg_etg9q6cm/lv_root rd.md=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks.uuid=luks-1ee1e6fb-c814-435e-a716-31a8a0dcf3ca rd.lvm.lv=vg_etg9q6cm/lv_swap LANG=en_US.UTF-8 rhgb quiet acpi_backlight=vendor
[yundtj@etg9q6cm ~]$ 

[root@etg9q6cm ~]# dmidecode -s system-product-name
HP Folio 13 - 2000 Notebook PC
[root@etg9q6cm ~]# 

Also confirmed that acpi_listen is _not_ reporting output for wifi/brightness keys.
Comment 9 Fedora End Of Life 2013-07-03 21:00:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 JYundt 2013-07-10 16:00:49 EDT
Confirmed that this is _not_ working on Fedora 19 as well.
Comment 11 JYundt 2013-07-10 16:04:38 EDT
Looks like this might be fixed in kernel v3.10'ish?

https://bugzilla.kernel.org/show_bug.cgi?id=54621#c39
Comment 12 Karel Volný 2013-07-23 11:47:36 EDT
(updating version as per comment #10)
Comment 13 Michele Baldessari 2013-11-24 08:07:39 EST
Hi,

* eff9a4b - (2013-06-27 21:37:18 +0200)  ACPI / EC: Add HP Folio 13 to ec_dmi_table in order to skip DSDT scan <Lan Tianyu>
* 2fa97fe - (2013-06-27 21:35:37 +0200)  ACPI: Add CMOS RTC Operation Region handler support <Lan Tianyu>

have been included in v3.11. Alexander, JYundt, can you please test with a 3.11.x
kernel and let us know if it works now?

Thanks,
Michele
Comment 14 JYundt 2013-11-24 08:47:43 EST
(In reply to Michele Baldessari from comment #13)
> Hi,
> 
> * eff9a4b - (2013-06-27 21:37:18 +0200)  ACPI / EC: Add HP Folio 13 to
> ec_dmi_table in order to skip DSDT scan <Lan Tianyu>
> * 2fa97fe - (2013-06-27 21:35:37 +0200)  ACPI: Add CMOS RTC Operation Region
> handler support <Lan Tianyu>
> 
> have been included in v3.11. Alexander, JYundt, can you please test with a
> 3.11.x
> kernel and let us know if it works now?
> 
> Thanks,
> Michele

This works for me with 3.10 on Fedora i686: 3.10.11-200.fc19.i686

(I've had to roll back my 3.11 kernel due to a few bugs[1])

-Jacob

[1] https://bugzilla.kernel.org/show_bug.cgi?id=61781
Comment 15 Michele Baldessari 2013-11-24 08:54:29 EST
Hi Jacob,

thanks for confirming. Note that the issue preventing you to use 3.11
has been fixed in v3.11.8, so you can move to that one now.

Alexander, ok to close this one?

Thanks,
Michele
Comment 16 JYundt 2013-11-24 09:44:13 EST
(In reply to Michele Baldessari from comment #15)
> Hi Jacob,
> 
> thanks for confirming. Note that the issue preventing you to use 3.11
> has been fixed in v3.11.8, so you can move to that one now.
> 
> Alexander, ok to close this one?
> 
> Thanks,
> Michele

I just switched to 3.11 (3.11.9-200.fc19.i686) and (re)confirmed that this works as expected on my Folio.

Thanks for the info on the 3.11 fix.

-Jacob
Comment 17 Alexander Lindqvist 2013-11-24 10:14:47 EST
I can't test this as Im on RHEL 6.4 now on a HP workstation laptop.
Comment 18 Michele Baldessari 2013-11-24 13:08:51 EST
Given that we have at least one confirmation that things are ok now and that
the original reporter cannot test this, I am closing this BZ.

Thanks everyone,
Michele
Comment 19 Alexander Lindqvist 2014-10-08 04:02:50 EDT
Remove needinfo. Bug closed.

Note You need to log in before you can comment on or make changes to this bug.